Bug 263987 - Error opening one gif image
Summary: Error opening one gif image
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: File formats (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-22 17:10 UTC by Alberto
Modified: 2011-06-03 22:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alberto 2011-01-22 17:10:01 UTC
Version:           unspecified (using KDE 4.5.95) 
OS:                Linux

Error opening only this gif image (downloaded in my /Descargas folder)

http://avatars.forocoches.com/foro/customavatars/avatar211331_10.gif

Error in terminal

krita(7112)/krita (file handling) GifConverter::decode: Could not read gif file KUrl("file:///home/alberto/Descarga/avatar2113310.gif") 


Reproducible: Always

Steps to Reproduce:
Download image, open, and error


Expected Results:  
warning windows "Error interno"

OS: Linux (i686) release 2.6.35-24-generic-pae
Compiler: cc
Comment 1 Pino Toscano 2011-01-22 18:47:36 UTC
Which version of krita are you using? Please paste the result of the command
$ krita --version
Comment 2 Alberto 2011-01-22 19:21:55 UTC
Sorry


Qt: 4.7.0
Plataforma de desarrollo de KDE: 4.5.95 (4.6 RC2)
Krita: 2.3.1
Comment 3 Halla Rempt 2011-06-03 22:17:50 UTC
Git commit e891dace2586104ad6fd08c7cf7c0e56d37b3a16 by Boudewijn Rempt.
Committed on 03/06/2011 at 22:04.
Pushed by rempt into branch 'master'.

Abuse the bmp filter for some other simple formats

BMP, GIF, XPM, XBM are file formats we don't want to spend much time on.
Krita is not for such files. So abuse the Qt support for those file formats
like we used to abuse GraphicsMagick or ImageMagick and that's it -- if
Qt cannot open these files, it's better to convert them using another
application before importing in Krita.

This also removes my gif filer which never worked really well.
BUG: 167713
BUG: 270634
BUG: 263987

M  +0    -7    krita/plugins/formats/CMakeLists.txt     
M  +1    -1    krita/plugins/formats/bmp/kis_bmp_import.cpp     
M  +1    -1    krita/plugins/formats/bmp/krita_bmp.desktop     
M  +1    -1    krita/plugins/formats/bmp/krita_bmp_export.desktop     
M  +1    -1    krita/plugins/formats/bmp/krita_bmp_import.desktop     
D  +0    -38   krita/plugins/formats/gif/CMakeLists.txt     
D  +0    -454  krita/plugins/formats/gif/gif_converter.cpp     
D  +0    -97   krita/plugins/formats/gif/gif_converter.h     
D  +0    -96   krita/plugins/formats/gif/gif_export.cpp     
D  +0    -34   krita/plugins/formats/gif/gif_export.h     
D  +0    -96   krita/plugins/formats/gif/gif_import.cpp     
D  +0    -34   krita/plugins/formats/gif/gif_import.h     
D  +0    -58   krita/plugins/formats/gif/kis_gif_writer_visitor.cpp     
D  +0    -80   krita/plugins/formats/gif/kis_gif_writer_visitor.h     
D  +0    -72   krita/plugins/formats/gif/krita_gif.desktop     
D  +0    -36   krita/plugins/formats/gif/krita_gif_export.desktop     
D  +0    -36   krita/plugins/formats/gif/krita_gif_import.desktop     
D  +-    --    krita/plugins/formats/gif/test.gif     

http://commits.kde.org/calligra/e891dace2586104ad6fd08c7cf7c0e56d37b3a16